Name: ucspi-tcp
Summary: TCP client-server command-line tools
Version: 0.88
Release: 1%{?dist}
License: See djb@pobox.com
Group: Utilities/System
Source: http://cr.yp.to/ucspi-tcp/ucspi-tcp-%{version}.tar.gz
BuildRoot: /tmp/ucspi-tcp
URL: http://pobox.com/~djb/ucspi-tcp.html
Packager: John Simpson <jms1@voalte.com>

%description
tcpclient and tcpserver are easy-to-use command-line tools for building
TCP client-server applications. tcpclient makes a TCP connection and
runs a program of your choice. tcpserver waits for incoming connections
and, for each connection, runs a program of your choice. Your program
receives environment variables showing the local and remote host names,
IP addresses, and port numbers.

tcpserver offers a concurrency limit to protect you from running out of
processes and memory. When you are handling 40 (by default) simultaneous
connections, tcpserver smoothly defers acceptance of new connections.

tcpserver also provides TCP access control features, similar to
tcp-wrappers/tcpd's hosts.allow but much faster. Its access control
rules are compiled into a hashed format with cdb, so it can easily deal
with thousands of different hosts.

tcpclient and tcpserver conform to UCSPI, the UNIX Client-Server Program
Interface, using the TCP protocol. UCSPI tools are available for several
different networks.

%prep
%setup

echo /usr/local >conf-home
echo gcc $RPM_OPT_FLAGS >conf-cc
echo gcc $RPM_OPT_FLAGS -s >conf-ld

sed -i.bak -e '/extern int errno/{s/^/\/* /;s/$/ *\//;G;s/$/#include <errno.h>/;}' error.h
rm error.h.bak

%build
make it

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local

echo $RPM_BUILD_ROOT/usr/local >conf-home
rm -f install.o auto_home.o install
make install
./install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc CHANGES README TODO
#%doc ucspi-tcp.html daemontools dnscache docs proto ucspi-tcp
/usr/local/bin/*

%changelog
* Fri Aug 30 2013 John Simpson <jms1@voalte.com>
- removed non-standard "maketcprules" script
- removed non-standard "docs" package
- removed non-standard prefix, using standard /usr/local
- fixed errno issue

* Mon Mar 20 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 0.88 of ucspi-tcp.

* Wed Mar 15 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 0.87 of ucspi-tcp.
- Added "obsoletes" line for rblsmtpd.

* Mon Mar 13 2000 Bruce Guenter <bruceg@em.ca>
- Updated to version 0.86 of ucspi-tcp.
- Added documentation tarball.

* Sun Nov 7 1999 Bruce Guenter <bruceg@em.ca>
- Fixed install race condition exposed on faster computers.

* Sat Nov 14 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>
- Upgraded package to version 0.84.

* Fri Jul 10 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>
- Configured the binaries to go into /usr/bin instead of /usr/sbin
- Fixed installation problem with tcpcat (and other shell scripts)

* Tue Jan 20 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>
- Copied the tcpcconfig program from the old tcpcontrol package,
  renaming it to maketcprules, which works like ldconfig, building all
  the .rules files in /etc/tcpcontrol into .cdb files.
